class Project {
  final String uuid;
  final String name;
  final String description;

  const Project({
    required this.uuid,
    required this.name,
    required this.description,
  });

  factory Project.fromJson(Map<String, dynamic> json) {
    return Project(
      uuid: json['uuid'] as String,
      name: json['name'] as String,
      description: json['description'] as String,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'uuid': uuid,
      'name': name,
      'description': description,
    };
  }
}
